Bug 64978 - Configure, startx failure
Configure, startx failure
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i386 Linux
high Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-15 11:13 EDT by David Fumento
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-23 21:56:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Fumento 2002-05-15 11:13:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET CLR 
1.0.3705)

Description of problem:
When configuring the Thinkpad A20p video, the different test modes
give blank screens (RH 7.2 works fine).  I tried variety of screen
resolutions and screen depths with no luck.  startx also bring back to text 
mode.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RH 7.3 on Thinkpad A20p
2. Try the "testing" various display resolutions and depths.
3. Try startx from text mode.
	

Actual Results:  Get blank screens every time.  Also, in text mode get output 
log
file which I sent by instructions to the XFree86 people.  Unfortunately I no 
longer have /config/ file (or RH7.3 install)
but I do have the error log which I'm including.

Expected Results:  See graphics as in RH 7.2

Additional info:

>XFree86 Version 4.2.0 (Red Hat Linux release: 4.2.0-8) / X Window System
>(protocol Version 11, revision 0, vendor release 6600)
>Release Date: 23 January 2002
>	If the server is older than 6-12 months, or if your card is
>	newer than the above date, look for a newer version before
>	reporting problems.  (See http://www.XFree86.Org/)
>Build Operating System: Linux 2.4.17-0.13smp i686 [ELF]
>Build Host: daffy.perf.redhat.com
>
>Module Loader present
>Markers: (--) probed, (**) from config file, (==) default setting,
>          (++) from command line, (!!) notice, (II) informational,
>          (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
>(==) Log file: "/var/log/XFree86.0.log", Time: Fri May 10 18:43:35 2002
>(==) Using config file: "/etc/X11/XF86Config-4"
>(==) ServerLayout "Anaconda Configured"
>(**) |-->Screen "Screen0" (0)
>(**) |   |-->Monitor "Monitor0"
>(**) |   |-->Device "ATI Rage 128 Mobility"
>(**) |-->Input Device "Mouse0"
>(**) |-->Input Device "Keyboard0"
>(**) Option "XkbRules" "xfree86"
>(**) XKB: rules: "xfree86"
>(**) Option "XkbModel" "pc105"
>(**) XKB: model: "pc105"
>(**) Option "XkbLayout" "us"
>(**) XKB: layout: "us"
>(==) Keyboard: CustomKeycode disabled
>(**) FontPath set to "unix/:7100"
>(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
>(==) ModulePath set to "/usr/X11R6/lib/modules"
>(--) using VT number 7
>
>(II) Open APM successful
>(II) Module ABI versions:
>	XFree86 ANSI C Emulation: 0.1
>	XFree86 Video Driver: 0.5
>	XFree86 XInput driver : 0.3
>	XFree86 Server Extension : 0.1
>	XFree86 Font Renderer : 0.3
>(II) Loader running on linux
>(II) LoadModule: "bitmap"
>(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
>(II) Module bitmap: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 1.0.0
>	Module class: XFree86 Font Renderer
>	ABI class: XFree86 Font Renderer, version 0.3
>(II) Loading font Bitmap
>(II) LoadModule: "pcidata"
>(II) Loading /usr/X11R6/lib/modules/libpcidata.a
>(II) Module pcidata: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 0.1.0
>	ABI class: XFree86 Video Driver, version 0.5
>(II) PCI: Probing config type using method 1
>(II) PCI: Config type is 1
>(II) PCI: stages = 0x03, oldVal1 = 0x00000000, mode1Res1 = 0x80000000
>(II) PCI: PCI scan (all values are in hex)
>(II) PCI: 00:00:0: chip 8086,7190 card 0000,0000 rev 03 class 06,00,00 hdr 00
>(II) PCI: 00:01:0: chip 8086,7191 card 0000,0000 rev 03 class 06,04,00 hdr 01
>(II) PCI: 00:02:0: chip 104c,ac1b card 4000,0000 rev 03 class 06,07,00 hdr 82
>(II) PCI: 00:02:1: chip 104c,ac1b card 4800,0000 rev 03 class 06,07,00 hdr 82
>(II) PCI: 00:03:0: chip 11c1,0449 card 1014,018c rev 01 class 07,80,00 hdr 00
>(II) PCI: 00:05:0: chip 1013,6003 card 1014,0153 rev 01 class 04,01,00 hdr 00
>(II) PCI: 00:07:0: chip 8086,7110 card 0000,0000 rev 02 class 06,80,00 hdr 80
>(II) PCI: 00:07:1: chip 8086,7111 card 0000,0000 rev 01 class 01,01,80 hdr 00
>(II) PCI: 00:07:2: chip 8086,7112 card 0000,0000 rev 01 class 0c,03,00 hdr 00
>(II) PCI: 00:07:3: chip 8086,7113 card 0000,0000 rev 03 class 06,80,00 hdr 00
>(II) PCI: 01:00:0: chip 1002,4c46 card 1014,0155 rev 02 class 03,00,00 hdr 00
>(II) PCI: 02:00:0: chip 1011,0019 card 1385,2100 rev 41 class 02,00,00 hdr 00
>(II) PCI: End of PCI scan
>(II) LoadModule: "scanpci"
>(II) Loading /usr/X11R6/lib/modules/libscanpci.a
>(II) Module scanpci: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 0.1.0
>	ABI class: XFree86 Video Driver, version 0.5
>(II) UnloadModule: "scanpci"
>(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
>(II) Host-to-PCI bridge:
>(II) Host-to-PCI bridge:
>(II) PCI-to-PCI bridge:
>(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x08 (VGA_EN is set)
>(II) Bus 0 I/O range:
>	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
>(II) Bus 0 non-prefetchable memory range:
>	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
>(II) Bus 0 prefetchable memory range:
>	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
>(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x8c (VGA_EN is set)
>(II) Bus 1 I/O range:
>	[0] -1	0x00002000 - 0x000020ff (0x100) IX[B]
>	[1] -1	0x00002400 - 0x000024ff (0x100) IX[B]
>	[2] -1	0x00002800 - 0x000028ff (0x100) IX[B]
>	[3] -1	0x00002c00 - 0x00002cff (0x100) IX[B]
>(II) Bus 1 non-prefetchable memory range:
>	[0] -1	0xf0200000 - 0xf02fffff (0x100000) MX[B]
>(II) Bus 1 prefetchable memory range:
>	[0] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B]
>(II) Bus 2: bridge is at (0:0:0), (-1,2,0), BCTRL: 0x00 (VGA_EN is cleared)
>(II) Bus 2 I/O range:
>	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
>(II) Bus 2 non-prefetchable memory range:
>	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
>(II) Bus 2 prefetchable memory range:
>	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
>(--) PCI:*(1:0:0) ATI Rage 128 Mobility LF rev 2, Mem @ 0xf8000000/26,
0xf0200000/14, I/O @ 0x2000/8
>(II) Addressable bus resource ranges are
>	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
>	[1] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
>(II) OS-reported resource ranges:
>	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
>	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
>	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
>	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
>	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
>	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
>	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
>(II) Active PCI resource ranges:
>	[0] -1	0x18000000 - 0x1803ffff (0x40000) MX[B]
>	[1] -1	0x18400000 - 0x184003ff (0x400) MX[B]
>	[2] -1	0xf0000000 - 0xf00fffff (0x100000) MX[B]
>	[3] -1	0xf0100000 - 0xf0100fff (0x1000) MX[B]
>	[4] -1	0xf0101000 - 0xf01010ff (0x100) MX[B]
>	[5] -1	0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
>	[6] -1	0xf0200000 - 0xf0203fff (0x4000) MX[B](B)
>	[7] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
>	[8] -1	0x00004000 - 0x0000407f (0x80) IX[B]
>	[9] -1	0x00001c20 - 0x00001c3f (0x20) IX[B]
>	[10] -1	0x00001c10 - 0x00001c1f (0x10) IX[B]
>	[11] -1	0x00001800 - 0x000018ff (0x100) IX[B]
>	[12] -1	0x00001c00 - 0x00001c07 (0x8) IX[B]
>	[13] -1	0x00002000 - 0x000020ff (0x100) IX[B](B)
>(II) Active PCI resource ranges after removing overlaps:
>	[0] -1	0x18000000 - 0x1803ffff (0x40000) MX[B]
>	[1] -1	0x18400000 - 0x184003ff (0x400) MX[B]
>	[2] -1	0xf0000000 - 0xf00fffff (0x100000) MX[B]
>	[3] -1	0xf0100000 - 0xf0100fff (0x1000) MX[B]
>	[4] -1	0xf0101000 - 0xf01010ff (0x100) MX[B]
>	[5] -1	0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
>	[6] -1	0xf0200000 - 0xf0203fff (0x4000) MX[B](B)
>	[7] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
>	[8] -1	0x00004000 - 0x0000407f (0x80) IX[B]
>	[9] -1	0x00001c20 - 0x00001c3f (0x20) IX[B]
>	[10] -1	0x00001c10 - 0x00001c1f (0x10) IX[B]
>	[11] -1	0x00001800 - 0x000018ff (0x100) IX[B]
>	[12] -1	0x00001c00 - 0x00001c07 (0x8) IX[B]
>	[13] -1	0x00002000 - 0x000020ff (0x100) IX[B](B)
>(II) OS-reported resource ranges after removing overlaps with PCI:
>	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
>	[1] -1	0x00100000 - 0x17ffffff (0x17f00000) MX[B]E(B)
>	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
>	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
>	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
>	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
>	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
>(II) All system resource ranges:
>	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
>	[1] -1	0x00100000 - 0x17ffffff (0x17f00000) MX[B]E(B)
>	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
>	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
>	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
>	[5] -1	0x18000000 - 0x1803ffff (0x40000) MX[B]
>	[6] -1	0x18400000 - 0x184003ff (0x400) MX[B]
>	[7] -1	0xf0000000 - 0xf00fffff (0x100000) MX[B]
>	[8] -1	0xf0100000 - 0xf0100fff (0x1000) MX[B]
>	[9] -1	0xf0101000 - 0xf01010ff (0x100) MX[B]
>	[10] -1	0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
>	[11] -1	0xf0200000 - 0xf0203fff (0x4000) MX[B](B)
>	[12] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
>	[13] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
>	[14] -1	0x00000000 - 0x000000ff (0x100) IX[B]
>	[15] -1	0x00004000 - 0x0000407f (0x80) IX[B]
>	[16] -1	0x00001c20 - 0x00001c3f (0x20) IX[B]
>	[17] -1	0x00001c10 - 0x00001c1f (0x10) IX[B]
>	[18] -1	0x00001800 - 0x000018ff (0x100) IX[B]
>	[19] -1	0x00001c00 - 0x00001c07 (0x8) IX[B]
>	[20] -1	0x00002000 - 0x000020ff (0x100) IX[B](B)
>(II) LoadModule: "GLcore"
>(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
>(II) Module GLcore: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 1.0.0
>	ABI class: XFree86 Server Extension, version 0.1
>(II) LoadModule: "dbe"
>(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
>(II) Module dbe: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 1.0.0
>	Module class: XFree86 Server Extension
>	ABI class: XFree86 Server Extension, version 0.1
>(II) Loading extension DOUBLE-BUFFER
>(II) LoadModule: "extmod"
>(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
>(II) Module extmod: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 1.0.0
>	Module class: XFree86 Server Extension
>	ABI class: XFree86 Server Extension, version 0.1
>(II) Loading extension SHAPE
>(II) Loading extension MIT-SUNDRY-NONSTANDARD
>(II) Loading extension BIG-REQUESTS
>(II) Loading extension SYNC
>(II) Loading extension MIT-SCREEN-SAVER
>(II) Loading extension XC-MISC
>(II) Loading extension XFree86-VidModeExtension
>(II) Loading extension XFree86-Misc
>(II) Loading extension XFree86-DGA
>(II) Loading extension DPMS
>(II) Loading extension FontCache
>(II) Loading extension TOG-CUP
>(II) Loading extension Extended-Visual-Information
>(II) Loading extension XVideo
>(II) Loading extension XVideo-MotionCompensation
>(II) LoadModule: "fbdevhw"
>(II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
>(II) Module fbdevhw: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 0.0.2
>	ABI class: XFree86 Video Driver, version 0.5
>(II) LoadModule: "dri"
>(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
>(II) Module dri: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 1.0.0
>	ABI class: XFree86 Server Extension, version 0.1
>(II) Loading sub module "drm"
>(II) LoadModule: "drm"
>(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
>(II) Module drm: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 1.0.0
>	ABI class: XFree86 Server Extension, version 0.1
>(II) Loading extension XFree86-DRI
>(II) LoadModule: "glx"
>(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
>(II) Module glx: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 1.0.0
>	ABI class: XFree86 Server Extension, version 0.1
>(II) Loading sub module "GLcore"
>(II) LoadModule: "GLcore"
>(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
>(II) Loading extension GLX
>(II) LoadModule: "record"
>(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
>(II) Module record: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 1.13.0
>	Module class: XFree86 Server Extension
>	ABI class: XFree86 Server Extension, version 0.1
>(II) Loading extension RECORD
>(II) LoadModule: "freetype"
>(II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.a
>(II) Module freetype: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 1.1.10
>	Module class: XFree86 Font Renderer
>	ABI class: XFree86 Font Renderer, version 0.3
>(II) Loading font FreeType
>(II) LoadModule: "type1"
>(II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a
>(II) Module type1: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 1.0.1
>	Module class: XFree86 Font Renderer
>	ABI class: XFree86 Font Renderer, version 0.3
>(II) Loading font Type1
>(II) Loading font CID
>(II) LoadModule: "r128"
>(II) Loading /usr/X11R6/lib/modules/drivers/r128_drv.o
>(II) Module r128: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 4.0.1
>	Module class: XFree86 Video Driver
>	ABI class: XFree86 Video Driver, version 0.5
>(II) LoadModule: "ati"
>(II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
>(II) Module ati: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 6.4.8
>	Module class: XFree86 Video Driver
>	ABI class: XFree86 Video Driver, version 0.5
>(II) LoadModule: "mouse"
>(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
>(II) Module mouse: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 1.0.0
>	Module class: XFree86 XInput Driver
>	ABI class: XFree86 XInput driver, version 0.3
>(II) ATI: ATI driver (version 6.4.8) for chipsets: ati, ativga
>(II) R128: Driver for ATI Rage 128 chipsets: ATI Rage 128 RE (PCI),
>	ATI Rage 128 RF (AGP), ATI Rage 128 RG (AGP), ATI Rage 128 RK (PCI),
>	ATI Rage 128 RL (AGP), ATI Rage 128 SM (AGP),
>	ATI Rage 128 Pro PD (PCI), ATI Rage 128 Pro PF (AGP),
>	ATI Rage 128 Pro PP (PCI), ATI Rage 128 Pro PR (PCI),
>	ATI Rage 128 Pro ULTRA TF (AGP), ATI Rage 128 Pro ULTRA TL (AGP),
>	ATI Rage 128 Pro ULTRA TR (AGP), ATI Rage 128 Mobility LE (PCI),
>	ATI Rage 128 Mobility LF (AGP), ATI Rage 128 Mobility MF (AGP),
>	ATI Rage 128 Mobility ML (AGP)
>(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
>	ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
>	ATI Radeon VE QY (AGP), ATI Radeon VE QZ (AGP),
>	ATI Radeon Mobility LW (AGP), ATI Radeon Mobility LX (AGP),
>	ATI Radeon Mobility LY (AGP), ATI Radeon Mobility LZ (AGP),
>	ATI Radeon 8500 QL (AGP), ATI Radeon 8500 QN (AGP),
>	ATI Radeon 8500 QO (AGP), ATI Radeon 8500 Ql (AGP),
>	ATI Radeon 8500 BB (AGP), ATI Radeon 7500 QW (AGP)
>(II) Primary Device is: PCI 01:00:0
>(--) Assigning device section with no busID to primary device
>(--) Chipset ATI Rage 128 Mobility LF (AGP) found
>(II) Loading sub module "r128"
>(II) LoadModule: "r128"
>(II) Reloading /usr/X11R6/lib/modules/drivers/r128_drv.o
>(II) resource ranges after xf86ClaimFixedResources() call:
>	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
>	[1] -1	0x00100000 - 0x17ffffff (0x17f00000) MX[B]E(B)
>	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
>	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
>	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
>	[5] -1	0x18000000 - 0x1803ffff (0x40000) MX[B]
>	[6] -1	0x18400000 - 0x184003ff (0x400) MX[B]
>	[7] -1	0xf0000000 - 0xf00fffff (0x100000) MX[B]
>	[8] -1	0xf0100000 - 0xf0100fff (0x1000) MX[B]
>	[9] -1	0xf0101000 - 0xf01010ff (0x100) MX[B]
>	[10] -1	0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
>	[11] -1	0xf0200000 - 0xf0203fff (0x4000) MX[B](B)
>	[12] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
>	[13] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
>	[14] -1	0x00000000 - 0x000000ff (0x100) IX[B]
>	[15] -1	0x00004000 - 0x0000407f (0x80) IX[B]
>	[16] -1	0x00001c20 - 0x00001c3f (0x20) IX[B]
>	[17] -1	0x00001c10 - 0x00001c1f (0x10) IX[B]
>	[18] -1	0x00001800 - 0x000018ff (0x100) IX[B]
>	[19] -1	0x00001c00 - 0x00001c07 (0x8) IX[B]
>	[20] -1	0x00002000 - 0x000020ff (0x100) IX[B](B)
>(II) resource ranges after probing:
>	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
>	[1] -1	0x00100000 - 0x17ffffff (0x17f00000) MX[B]E(B)
>	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
>	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
>	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
>	[5] -1	0x18000000 - 0x1803ffff (0x40000) MX[B]
>	[6] -1	0x18400000 - 0x184003ff (0x400) MX[B]
>	[7] -1	0xf0000000 - 0xf00fffff (0x100000) MX[B]
>	[8] -1	0xf0100000 - 0xf0100fff (0x1000) MX[B]
>	[9] -1	0xf0101000 - 0xf01010ff (0x100) MX[B]
>	[10] -1	0xf4000000 - 0xf7ffffff (0x4000000) MX[B]
>	[11] -1	0xf0200000 - 0xf0203fff (0x4000) MX[B](B)
>	[12] -1	0xf8000000 - 0xfbffffff (0x4000000) MX[B](B)
>	[13] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
>	[14] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
>	[15] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
>	[16] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
>	[17] -1	0x00000000 - 0x000000ff (0x100) IX[B]
>	[18] -1	0x00004000 - 0x0000407f (0x80) IX[B]
>	[19] -1	0x00001c20 - 0x00001c3f (0x20) IX[B]
>	[20] -1	0x00001c10 - 0x00001c1f (0x10) IX[B]
>	[21] -1	0x00001800 - 0x000018ff (0x100) IX[B]
>	[22] -1	0x00001c00 - 0x00001c07 (0x8) IX[B]
>	[23] -1	0x00002000 - 0x000020ff (0x100) IX[B](B)
>	[24] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
>	[25] 0	0x000003c0 - 0x000003df (0x20) IS[B]
>(II) Setting vga for screen 0.
>(II) Loading sub module "vgahw"
>(II) LoadModule: "vgahw"
>(II) Loading /usr/X11R6/lib/modules/libvgahw.a
>(II) Module vgahw: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 0.1.0
>	ABI class: XFree86 Video Driver, version 0.5
>(II) R128(0): PCI bus 1 card 0 func 0
>(**) R128(0): Depth 16, (--) framebuffer bpp 16
>(II) R128(0): Pixel depth = 16 bits stored in 2 bytes (16 bpp pixmaps)
>(==) R128(0): Default visual is TrueColor
>(==) R128(0): RGB weight 565
>(II) R128(0): Using 6 bits per RGB (8 bit DAC)
>(II) Loading sub module "int10"
>(II) LoadModule: "int10"
>(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
>(II) Module int10: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 1.0.0
>	ABI class: XFree86 Video Driver, version 0.5
>(II) R128(0): initializing int10
>(II) R128(0): Primary V_BIOS segment is: 0xc000
>(--) R128(0): Chipset: "ATI Rage 128 Mobility LF (AGP)" (ChipID = 0x4c46)
>(--) R128(0): Linear framebuffer at 0xf8000000
>(--) R128(0): MMIO registers at 0xf0200000
>(--) R128(0): VideoRAM: 16384 kByte (128-bit SDR SGRAM 1:1)
>(**) R128(0): Using flat panel for display
>(II) R128(0): Panel size: 1400x1050
>(II) R128(0): Panel ID: IBM ITSX93
>(II) R128(0): Panel Type: Color, Single, TFT
>(II) R128(0): Panel Interface: LVDS
>(II) R128(0): PLL parameters: rf=2950 rd=65 min=12500 max=25000; xclk=10500
>(II) Loading sub module "ddc"
>(II) LoadModule: "ddc"
>(II) Loading /usr/X11R6/lib/modules/libddc.a
>(II) Module ddc: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 1.0.0
>	ABI class: XFree86 Video Driver, version 0.5
>(II) Loading sub module "vbe"
>(II) LoadModule: "vbe"
>(II) Loading /usr/X11R6/lib/modules/libvbe.a
>(II) Module vbe: vendor="The XFree86 Project"
>	compiled for 4.2.0, module version = 1.0.0
>	ABI class: XFree86 Video Driver, version 0.5
>(II) R128(0): VESA BIOS detected
>(II) R128(0): VESA VBE Version 2.0
>(II) R128(0): VESA VBE Total Mem: 16384 kB
>(II) R128(0): VESA VBE OEM: ATI MOBILE M3
>(II) R128(0): VESA VBE OEM Software Rev: 1.0
>(II) R128(0): VESA VBE OEM Vendor: ATI Technologies Inc.
>(II) R128(0): VESA VBE OEM Product: M3
>(II) R128(0): VESA VBE OEM Product Rev: 01.00
>(II) Loading sub module "ddc"
>(II) LoadModule: "ddc"
>(II) Reloading /usr/X11R6/lib/modules/libddc.a
>(II) R128(0): VESA VBE DDC supported
>(II) R128(0): VESA VBE DDC Level none
>(II) R128(0): VESA VBE DDC transfer in appr. 2 sec.
>(II) R128(0): VESA VBE DDC read failed
>(==) R128(0): Using gamma correction (1.0, 1.0, 1.0)
>(II) R128(0): Monitor0: Using hsync range of 31.50-48.50 kHz
>(II) R128(0): Monitor0: Using vrefresh range of 50.00-70.00 Hz
>(II) R128(0): Clock range:  12.50 to 250.00 MHz
>(II) R128(0): Not using mode "1400x1050" (hsync out of range)
>(II) R128(0): Not using mode "1400x1050" (hsync out of range)
>(II) R128(0): Not using mode "1400x1050" (hsync out of range)
>(II) R128(0): Not using mode "1400x1050" (hsync out of range)
>(II) R128(0): Not using default mode "640x350" (vrefresh out of range)
>(II) R128(0): Not using default mode "320x175" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "640x400" (vrefresh out of range)
>(II) R128(0): Not using default mode "320x200" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "720x400" (no mode of this name)
>(II) R128(0): Not using default mode "360x200" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "640x480" (hsync out of range)
>(II) R128(0): Not using default mode "320x240" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "640x480" (hsync out of range)
>(II) R128(0): Not using default mode "320x240" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "640x480" (hsync out of range)
>(II) R128(0): Not using default mode "320x240" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "640x480" (vrefresh out of range)
>(II) R128(0): Not using default mode "320x240" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "800x600" (hsync out of range)
>(II) R128(0): Not using default mode "400x300" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "800x600" (hsync out of range)
>(II) R128(0): Not using default mode "400x300" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "800x600" (vrefresh out of range)
>(II) R128(0): Not using default mode "400x300" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "800x600" (vrefresh out of range)
>(II) R128(0): Not using default mode "400x300" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "800x600" (hsync out of range)
>(II) R128(0): Not using default mode "400x300" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1024x768" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "512x384" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1024x768" (hsync out of range)
>(II) R128(0): Not using default mode "512x384" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1024x768" (hsync out of range)
>(II) R128(0): Not using default mode "512x384" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1024x768" (hsync out of range)
>(II) R128(0): Not using default mode "512x384" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1024x768" (hsync out of range)
>(II) R128(0): Not using default mode "512x384" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1152x864" (no mode of this name)
>(II) R128(0): Not using default mode "576x432" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1280x960" (no mode of this name)
>(II) R128(0): Not using default mode "640x480" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1280x960" (no mode of this name)
>(II) R128(0): Not using default mode "640x480" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1280x1024" (hsync out of range)
>(II) R128(0): Not using default mode "640x512" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1280x1024" (hsync out of range)
>(II) R128(0): Not using default mode "640x512" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1280x1024" (hsync out of range)
>(II) R128(0): Not using default mode "640x512" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1600x1200" (no mode of this name)
>(II) R128(0): Not using default mode "800x600" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1600x1200" (no mode of this name)
>(II) R128(0): Not using default mode "800x600" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1600x1200" (no mode of this name)
>(II) R128(0): Not using default mode "800x600" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1600x1200" (no mode of this name)
>(II) R128(0): Not using default mode "800x600" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1600x1200" (no mode of this name)
>(II) R128(0): Not using default mode "800x600" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1792x1344" (no mode of this name)
>(II) R128(0): Not using default mode "896x672" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1792x1344" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "896x672" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1856x1392" (no mode of this name)
>(II) R128(0): Not using default mode "928x696" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1856x1392" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "928x696" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1920x1440" (no mode of this name)
>(II) R128(0): Not using default mode "960x720" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1920x1440" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "960x720" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "832x624" (no mode of this name)
>(II) R128(0): Not using default mode "416x312" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1152x864" (no mode of this name)
>(II) R128(0): Not using default mode "576x432" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "700x525" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "700x525" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "700x525" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "700x525" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1600x1024" (no mode of this name)
>(II) R128(0): Not using default mode "800x512" (bad mode
clock/interlace/doublescan)
>(II) R128(0): Not using default mode "1920x1200" (no mode of this name)
>(II) R128(0): Not using default mode "960x600" (bad mode
clock/interlace/doublescan)
>(WW) R128(0): Mode pool is empty
>(EE) R128(0): No valid modes found
>(II) UnloadModule: "ati"
>(II) UnloadModule: "ddc"
>(II) UnloadModule: "vbe"
>(II) Unloading /usr/X11R6/lib/modules/libvbe.a
>(II) UnloadModule: "ddc"
>(II) Unloading /usr/X11R6/lib/modules/libddc.a
>(II) UnloadModule: "int10"
>(II) Unloading /usr/X11R6/lib/modules/linux/libint10.a
>(II) UnloadModule: "vgahw"
>(II) Unloading /usr/X11R6/lib/modules/libvgahw.a
>(II) UnloadModule: "r128"
>(EE) Screen(s) found, but none have a usable configuration.
>
>Fatal server error:
>no screens found
>
Comment 1 Mike A. Harris 2002-05-15 12:56:15 EDT
can you please attach the config file for this?  I need to see how X
is configured in order to determine why it might fail.  Please use
the bugzilla file attachment feature below instead of cut and paste
into the comment field.

Thanks.
Comment 2 David Fumento 2002-05-15 14:14:43 EDT
Thanks for speedy reply.  XFree86.org message said to only send the log file so 
that is all that I saved.  I looked briefly at the config file, but only
briefly.  I CAN tell you that I tried the install twice.  I am currently
running under a single partition Windows 2K Server because I had to rebuild
the system and I messed up when I was supposed to set partitions, so I can't
recreate at this time.  Partition Magic does not work with Server only
Professional unless you pay $1K.  Thanks..
Comment 3 David Fumento 2002-05-23 21:56:21 EDT
I did a fresh install on a new laptop with a 1600 x 1200 screen resolution and 
it worked when I did the following:

1. Under RH 7.2 it worked w/o my intervention when doing a "laptop install"
2. Under RH 7.3, at the monitor configuration, "unresolved monitor" was 
selected -- the frequencies were out of range.
3. I played around, selected Generic Monitors and saw the 1600 x 1200 LCD 
display, selected it and everything was fine.

Thanks,
David

Comment 4 Mike A. Harris 2002-07-26 08:06:25 EDT
Ok, closing as WORKSFORME since you've indicated it was just a misconfiguration.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.